Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XML11NamespaceBinder

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLNamespaceBinder
            |
            +--org.apache.xerces.impl.XML11NamespaceBinder

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.parser.XMLDocumentSource

public class XML11NamespaceBinder
extends XMLNamespaceBinder

This class performs namespace binding on the startElement and endElement method calls in accordance with Namespaces in XML 1.1. It extends the standard, Namespace-1.0-compliant binder in order to do this.

Version:
  $Id: XML11NamespaceBinder.java,v 1.3 2003/05/08 20:11:54 elena Exp $
Author:
  Neil Graham, IBM

Fields inherited from class org.apache.xerces.impl.XMLNamespaceBinder
`ERROR_REPORTER, fDocumentHandler, fDocumentSource, fErrorReporter, fNamespaces, fOnlyPassPrefixMappingEvents, fSymbolTable, NAMESPACES, SYMBOL_TABLE`

Constructor Summary
`XML11NamespaceBinder()` Default constructor.

Method Summary
`protected boolean` | `prefixBoundToNullURI(java.lang.String uri, java.lang.String localpart)`

Methods inherited from class org.apache.xerces.impl.XMLNamespaceBinder
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentHandler, getDocumentSource, getFeatureDefault, getOnlyPassPrefixMappingEvents, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, ignorableWhitespace, processingInstruction, reset, setDocumentHandler, setDocumentSource, setFeature, setOnlyPassPrefixMappingEvents, setProperty, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11NamespaceBinder

    public XML11NamespaceBinder()

  Default constructor.

Method Detail

### prefixBoundToNullURI

    protected boolean prefixBoundToNullURI(java.lang.String uri,
                                           java.lang.String localpart)

  Overrides:
    `prefixBoundToNullURI` in class `XMLNamespaceBinder`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.